package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProTabColumnAuthDAO;
import com.philisense.www.mapper.ProTabColumnAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProTabColumnAuthDAOImpl implements ProTabColumnAuthDAO {
        @Autowired
        private ProTabColumnAuthMapper proTabColumnAuthMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proTabColumnAuthMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proTabColumnAuthMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proTabColumnAuthMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proTabColumnAuthMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proTabColumnAuthMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proTabColumnAuthMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proTabColumnAuthMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proTabColumnAuthMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proTabColumnAuthMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proTabColumnAuthMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proTabColumnAuthMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proTabColumnAuthMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proTabColumnAuthMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getPageProTableColumnsByAuthId(Map<String, Object> map) {
            return proTabColumnAuthMapper.getPageProTableColumnsByAuthId(map);
        }

        @Override
        public int getCountProTableColumnsByAuthId(Map<String, Object> map) {
            return proTabColumnAuthMapper.getCountProTableColumnsByAuthId(map);
        }
}
